<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/generic_math_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>:Info: generic_math_: 2020-04-27  generic_math_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The generic_math_ subroutine is used to perform basic arithmetic
<span id="L5" class="LineNr">  5 </span>operations on the generic numeric data types.  The operations that can
<span id="L6" class="LineNr">  6 </span>be performed are:  addition, subtraction, multiplication, division, and
<span id="L7" class="LineNr">  7 </span>negation.  There are separate entrypoints for each variation of the
<span id="L8" class="LineNr">  8 </span>types:  real and complex, binary and decimal.
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>Entry points in generic_math_:
<span id="L12" class="LineNr"> 12 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>:Entry: negate_decimal: 1985-02-20 generic_math_$negate_decimal
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Function:  This entrypoint negates a generic decimal number.
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Syntax:
<span id="L22" class="LineNr"> 22 </span>declare generic_math_$negate_decimal entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>call generic_math_$negate_decimal <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>Arguments:
<span id="L27" class="LineNr"> 27 </span>num1
<span id="L28" class="LineNr"> 28 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr"> 29 </span>result
<span id="L30" class="LineNr"> 30 </span>   is the generic decimal value that is the negation of num1.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>:Entry: negate_decimal_complex: 1985-02-20 generic_math_$negate_decimal_complex
<span id="L34" class="LineNr"> 34 </span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>Function:  This entrypoint negates a generic complex decimal number.
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>Syntax:
<span id="L40" class="LineNr"> 40 </span>declare generic_math_$negate_decimal_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L41" class="LineNr"> 41 </span>     bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L42" class="LineNr"> 42 </span>call generic_math_$negate_decimal_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>Arguments:
<span id="L46" class="LineNr"> 46 </span>num1
<span id="L47" class="LineNr"> 47 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L48" class="LineNr"> 48 </span>result
<span id="L49" class="LineNr"> 49 </span>   is the generic complex decimal value that is the negation of num1.
<span id="L50" class="LineNr"> 50 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>:Entry: add_decimal: 1985-02-20 generic_math_$add_decimal
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>Function:  This entrypoint adds two generic decimal numbers.
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>Syntax:
<span id="L60" class="LineNr"> 60 </span>declare generic_math_$add_decimal entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L61" class="LineNr"> 61 </span>call generic_math_$add_decimal <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>Arguments:
<span id="L65" class="LineNr"> 65 </span>num1
<span id="L66" class="LineNr"> 66 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L67" class="LineNr"> 67 </span>num2
<span id="L68" class="LineNr"> 68 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L69" class="LineNr"> 69 </span>result
<span id="L70" class="LineNr"> 70 </span>   is the generic decimal value that is the result of adding num1 and
<span id="L71" class="LineNr"> 71 </span>   num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>:Entry: add_decimal_complex: 1985-02-20 generic_math_$add_decimal_complex
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>Function:  This entrypoint adds two generic complex decimal numbers.
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>Syntax:
<span id="L81" class="LineNr"> 81 </span>declare generic_math_$add_decimal_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L82" class="LineNr"> 82 </span>     bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L83" class="LineNr"> 83 </span>call generic_math_$add_decimal_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>Arguments:
<span id="L87" class="LineNr"> 87 </span>num1
<span id="L88" class="LineNr"> 88 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L89" class="LineNr"> 89 </span>num2
<span id="L90" class="LineNr"> 90 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L91" class="LineNr"> 91 </span>result
<span id="L92" class="LineNr"> 92 </span>   is the generic complex decimal value that is the result of adding
<span id="L93" class="LineNr"> 93 </span>   num1 and num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>:Entry: subtract_decimal: 1985-02-20 generic_math_$subtract_decimal
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>Function:  This entrypoint subtracts two generic decimal numbers.
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>Syntax:
<span id="L103" class="LineNr">103 </span>declare generic_math_$subtract_decimal entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L104" class="LineNr">104 </span>     bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L105" class="LineNr">105 </span>call generic_math_$subtract_decimal <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Arguments:
<span id="L109" class="LineNr">109 </span>num1
<span id="L110" class="LineNr">110 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L111" class="LineNr">111 </span>num2
<span id="L112" class="LineNr">112 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L113" class="LineNr">113 </span>result
<span id="L114" class="LineNr">114 </span>   is the generic decimal value that is the result of subtracting num1
<span id="L115" class="LineNr">115 </span>   and num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>:Entry: subtract_decimal_complex: 1985-02-20 generic_math_$subtract_decimal_complex
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>Function:  This entrypoint subtracts two generic complex decimal
<span id="L122" class="LineNr">122 </span>numbers.
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>Syntax:
<span id="L126" class="LineNr">126 </span>declare generic_math_$subtract_decimal_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L127" class="LineNr">127 </span>     bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L128" class="LineNr">128 </span>call generic_math_$subtract_decimal_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>
<span id="L131" class="LineNr">131 </span>Arguments:
<span id="L132" class="LineNr">132 </span>num1
<span id="L133" class="LineNr">133 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L134" class="LineNr">134 </span>num2
<span id="L135" class="LineNr">135 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L136" class="LineNr">136 </span>result
<span id="L137" class="LineNr">137 </span>   is the generic complex decimal value that is the result of
<span id="L138" class="LineNr">138 </span>   subtracting num2 from num1.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L139" class="LineNr">139 </span>
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>:Entry: multiply_decimal: 1985-02-20 generic_math_$multiply_decimal
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>
<span id="L144" class="LineNr">144 </span>Function:  This entrypoint multiplies two generic decimal numbers.
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>
<span id="L147" class="LineNr">147 </span>Syntax:
<span id="L148" class="LineNr">148 </span>declare generic_math_$multiply_decimal entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L149" class="LineNr">149 </span>     bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L150" class="LineNr">150 </span>call generic_math_$multiply_decimal <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>Arguments:
<span id="L154" class="LineNr">154 </span>num1
<span id="L155" class="LineNr">155 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L156" class="LineNr">156 </span>num2
<span id="L157" class="LineNr">157 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L158" class="LineNr">158 </span>result
<span id="L159" class="LineNr">159 </span>   is the generic decimal value that is the result of multiplying num1
<span id="L160" class="LineNr">160 </span>   and num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>:Entry: multiply_decimal_complex: 1985-02-20 generic_math_$multiply_decimal_complex
<span id="L164" class="LineNr">164 </span>
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>Function:  This entrypoint multiplies two generic complex decimal
<span id="L167" class="LineNr">167 </span>numbers.
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>
<span id="L170" class="LineNr">170 </span>Syntax:
<span id="L171" class="LineNr">171 </span>declare generic_math_$multiply_decimal_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L172" class="LineNr">172 </span>     bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L173" class="LineNr">173 </span>call generic_math_$multiply_decimal_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>Arguments:
<span id="L177" class="LineNr">177 </span>num1
<span id="L178" class="LineNr">178 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L179" class="LineNr">179 </span>num2
<span id="L180" class="LineNr">180 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L181" class="LineNr">181 </span>result
<span id="L182" class="LineNr">182 </span>   is the generic complex decimal value that is the result of
<span id="L183" class="LineNr">183 </span>   multiplying num1 by num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>:Entry: divide_decimal: 1985-02-20 generic_math_$divide_decimal
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>Function:  This entrypoint divides two generic decimal numbers.
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>Syntax:
<span id="L193" class="LineNr">193 </span>declare generic_math_$divide_decimal entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L194" class="LineNr">194 </span>     bit<span class="textRainbow_lv1_p0">(</span>576<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L195" class="LineNr">195 </span>call generic_math_$divide_decimal <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>Arguments:
<span id="L199" class="LineNr">199 </span>num1
<span id="L200" class="LineNr">200 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L201" class="LineNr">201 </span>num2
<span id="L202" class="LineNr">202 </span>   is a generic decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L203" class="LineNr">203 </span>result
<span id="L204" class="LineNr">204 </span>   is the generic decimal value that is the result of dividing num1 by
<span id="L205" class="LineNr">205 </span>   num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L206" class="LineNr">206 </span>
<span id="L207" class="LineNr">207 </span>
<span id="L208" class="LineNr">208 </span>:Entry: divide_decimal_complex: 1985-02-20 generic_math_$divide_decimal_complex
<span id="L209" class="LineNr">209 </span>
<span id="L210" class="LineNr">210 </span>
<span id="L211" class="LineNr">211 </span>Function:  This entrypoint divides two generic complex decimal numbers.
<span id="L212" class="LineNr">212 </span>
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>Syntax:
<span id="L215" class="LineNr">215 </span>declare generic_math_$divide_decimal_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L216" class="LineNr">216 </span>     bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1152<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L217" class="LineNr">217 </span>call generic_math_$divide_decimal_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L218" class="LineNr">218 </span>
<span id="L219" class="LineNr">219 </span>
<span id="L220" class="LineNr">220 </span>Arguments:
<span id="L221" class="LineNr">221 </span>num1
<span id="L222" class="LineNr">222 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L223" class="LineNr">223 </span>num2
<span id="L224" class="LineNr">224 </span>   is a generic complex decimal number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L225" class="LineNr">225 </span>result
<span id="L226" class="LineNr">226 </span>   is the generic complex decimal value that is the result of dividing
<span id="L227" class="LineNr">227 </span>   num1 by num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L228" class="LineNr">228 </span>
<span id="L229" class="LineNr">229 </span>
<span id="L230" class="LineNr">230 </span>:Entry: negate_binary: 1985-02-20 generic_math_$negate_binary
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>
<span id="L233" class="LineNr">233 </span>Function:  This entrypoint negates a generic binary number.
<span id="L234" class="LineNr">234 </span>
<span id="L235" class="LineNr">235 </span>
<span id="L236" class="LineNr">236 </span>Syntax:
<span id="L237" class="LineNr">237 </span>declare generic_math_$negate_binary entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L238" class="LineNr">238 </span>call generic_math_$negate_binary <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>Arguments:
<span id="L242" class="LineNr">242 </span>num1
<span id="L243" class="LineNr">243 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L244" class="LineNr">244 </span>result
<span id="L245" class="LineNr">245 </span>   is the generic binary value that is the negation of num1.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L246" class="LineNr">246 </span>
<span id="L247" class="LineNr">247 </span>
<span id="L248" class="LineNr">248 </span>:Entry: negate_binary_complex: 1985-02-20 generic_math_$negate_binary_complex
<span id="L249" class="LineNr">249 </span>
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>Function:  This entrypoint negates a generic complex binary number.
<span id="L252" class="LineNr">252 </span>
<span id="L253" class="LineNr">253 </span>
<span id="L254" class="LineNr">254 </span>Syntax:
<span id="L255" class="LineNr">255 </span>declare generic_math_$negate_binary_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L256" class="LineNr">256 </span>call generic_math_$negate_binary_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L257" class="LineNr">257 </span>
<span id="L258" class="LineNr">258 </span>
<span id="L259" class="LineNr">259 </span>Arguments:
<span id="L260" class="LineNr">260 </span>num1
<span id="L261" class="LineNr">261 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L262" class="LineNr">262 </span>result
<span id="L263" class="LineNr">263 </span>   is the generic complex binary value that is the negation of num1.
<span id="L264" class="LineNr">264 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L265" class="LineNr">265 </span>
<span id="L266" class="LineNr">266 </span>
<span id="L267" class="LineNr">267 </span>:Entry: add_binary: 1985-02-20 generic_math_$add_binary
<span id="L268" class="LineNr">268 </span>
<span id="L269" class="LineNr">269 </span>
<span id="L270" class="LineNr">270 </span>Function:  This entrypoint adds two generic binary numbers.
<span id="L271" class="LineNr">271 </span>
<span id="L272" class="LineNr">272 </span>
<span id="L273" class="LineNr">273 </span>Syntax:
<span id="L274" class="LineNr">274 </span>declare generic_math_$add_binary entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L275" class="LineNr">275 </span>call generic_math_$add_binary <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L276" class="LineNr">276 </span>
<span id="L277" class="LineNr">277 </span>
<span id="L278" class="LineNr">278 </span>Arguments:
<span id="L279" class="LineNr">279 </span>num1
<span id="L280" class="LineNr">280 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L281" class="LineNr">281 </span>num2
<span id="L282" class="LineNr">282 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L283" class="LineNr">283 </span>result
<span id="L284" class="LineNr">284 </span>   is the generic binary value that is the result of adding num1 and
<span id="L285" class="LineNr">285 </span>   num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L286" class="LineNr">286 </span>
<span id="L287" class="LineNr">287 </span>
<span id="L288" class="LineNr">288 </span>:Entry: add_binary_complex: 1985-02-20 generic_math_$add_binary_complex
<span id="L289" class="LineNr">289 </span>
<span id="L290" class="LineNr">290 </span>
<span id="L291" class="LineNr">291 </span>Function:  This entrypoint adds two generic complex binary numbers.
<span id="L292" class="LineNr">292 </span>
<span id="L293" class="LineNr">293 </span>
<span id="L294" class="LineNr">294 </span>Syntax:
<span id="L295" class="LineNr">295 </span>declare generic_math_$add_binary_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L296" class="LineNr">296 </span>     bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L297" class="LineNr">297 </span>call generic_math_$add_binary_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L298" class="LineNr">298 </span>
<span id="L299" class="LineNr">299 </span>
<span id="L300" class="LineNr">300 </span>Arguments:
<span id="L301" class="LineNr">301 </span>num1
<span id="L302" class="LineNr">302 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L303" class="LineNr">303 </span>num2
<span id="L304" class="LineNr">304 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L305" class="LineNr">305 </span>result
<span id="L306" class="LineNr">306 </span>   is the generic complex binary value that is the result of adding
<span id="L307" class="LineNr">307 </span>   num1 and num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L308" class="LineNr">308 </span>
<span id="L309" class="LineNr">309 </span>
<span id="L310" class="LineNr">310 </span>:Entry: subtract_binary: 1985-02-20 generic_math_$subtract_binary
<span id="L311" class="LineNr">311 </span>
<span id="L312" class="LineNr">312 </span>
<span id="L313" class="LineNr">313 </span>Function:  This entrypoint subtracts two generic binary numbers.
<span id="L314" class="LineNr">314 </span>
<span id="L315" class="LineNr">315 </span>
<span id="L316" class="LineNr">316 </span>Syntax:
<span id="L317" class="LineNr">317 </span>declare generic_math_$subtract_binary entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L318" class="LineNr">318 </span>     bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L319" class="LineNr">319 </span>call generic_math_$subtract_binary <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L320" class="LineNr">320 </span>
<span id="L321" class="LineNr">321 </span>
<span id="L322" class="LineNr">322 </span>Arguments:
<span id="L323" class="LineNr">323 </span>num1
<span id="L324" class="LineNr">324 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L325" class="LineNr">325 </span>num2
<span id="L326" class="LineNr">326 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L327" class="LineNr">327 </span>result
<span id="L328" class="LineNr">328 </span>   is the generic binary value that is the result of subtracting num2
<span id="L329" class="LineNr">329 </span>   from num1.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L330" class="LineNr">330 </span>
<span id="L331" class="LineNr">331 </span>
<span id="L332" class="LineNr">332 </span>:Entry: subtract_binary_complex: 1985-02-20 generic_math_$subtract_binary_complex
<span id="L333" class="LineNr">333 </span>
<span id="L334" class="LineNr">334 </span>
<span id="L335" class="LineNr">335 </span>Function:  This entrypoint subtracts two generic complex binary
<span id="L336" class="LineNr">336 </span>numbers.
<span id="L337" class="LineNr">337 </span>
<span id="L338" class="LineNr">338 </span>
<span id="L339" class="LineNr">339 </span>Syntax:
<span id="L340" class="LineNr">340 </span>declare generic_math_$subtract_binary_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L341" class="LineNr">341 </span>     bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L342" class="LineNr">342 </span>call generic_math_$subtract_binary_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L343" class="LineNr">343 </span>
<span id="L344" class="LineNr">344 </span>
<span id="L345" class="LineNr">345 </span>Arguments:
<span id="L346" class="LineNr">346 </span>num1
<span id="L347" class="LineNr">347 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L348" class="LineNr">348 </span>num2
<span id="L349" class="LineNr">349 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L350" class="LineNr">350 </span>result
<span id="L351" class="LineNr">351 </span>   is the generic complex binary value that is the result of
<span id="L352" class="LineNr">352 </span>   subtracting num2 from num1.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L353" class="LineNr">353 </span>
<span id="L354" class="LineNr">354 </span>
<span id="L355" class="LineNr">355 </span>:Entry: multiply_binary: 1985-02-20 generic_math_$multiply_binary
<span id="L356" class="LineNr">356 </span>
<span id="L357" class="LineNr">357 </span>
<span id="L358" class="LineNr">358 </span>Function:  This entrypoint multiplies two generic binary numbers.
<span id="L359" class="LineNr">359 </span>
<span id="L360" class="LineNr">360 </span>
<span id="L361" class="LineNr">361 </span>Syntax:
<span id="L362" class="LineNr">362 </span>declare generic_math_$multiply_binary entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L363" class="LineNr">363 </span>     bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L364" class="LineNr">364 </span>call generic_math_$multiply_binary <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L365" class="LineNr">365 </span>
<span id="L366" class="LineNr">366 </span>
<span id="L367" class="LineNr">367 </span>Arguments:
<span id="L368" class="LineNr">368 </span>num1
<span id="L369" class="LineNr">369 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L370" class="LineNr">370 </span>num2
<span id="L371" class="LineNr">371 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L372" class="LineNr">372 </span>result
<span id="L373" class="LineNr">373 </span>   is the generic binary value that is the result of multiplying num1
<span id="L374" class="LineNr">374 </span>   by num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L375" class="LineNr">375 </span>
<span id="L376" class="LineNr">376 </span>
<span id="L377" class="LineNr">377 </span>:Entry: multiply_binary_complex: 1985-02-20
<span id="L378" class="LineNr">378 </span>generic_math_$multiply_binary_complex
<span id="L379" class="LineNr">379 </span>
<span id="L380" class="LineNr">380 </span>
<span id="L381" class="LineNr">381 </span>Function:  This entrypoint multiplies two generic complex binary
<span id="L382" class="LineNr">382 </span>numbers.
<span id="L383" class="LineNr">383 </span>
<span id="L384" class="LineNr">384 </span>
<span id="L385" class="LineNr">385 </span>Syntax:
<span id="L386" class="LineNr">386 </span>declare generic_math_$multiply_binary_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L387" class="LineNr">387 </span>     bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L388" class="LineNr">388 </span>call generic_math_$multiply_binary_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L389" class="LineNr">389 </span>
<span id="L390" class="LineNr">390 </span>
<span id="L391" class="LineNr">391 </span>Arguments:
<span id="L392" class="LineNr">392 </span>num1
<span id="L393" class="LineNr">393 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L394" class="LineNr">394 </span>num2
<span id="L395" class="LineNr">395 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L396" class="LineNr">396 </span>result
<span id="L397" class="LineNr">397 </span>   is the generic complex binary value that is the result of
<span id="L398" class="LineNr">398 </span>   multiplying num1 by num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L399" class="LineNr">399 </span>
<span id="L400" class="LineNr">400 </span>
<span id="L401" class="LineNr">401 </span>:Entry: divide_binary: 1985-02-20 generic_math_$divide_binary
<span id="L402" class="LineNr">402 </span>
<span id="L403" class="LineNr">403 </span>
<span id="L404" class="LineNr">404 </span>Function:  This entrypoint divides two generic binary numbers.
<span id="L405" class="LineNr">405 </span>
<span id="L406" class="LineNr">406 </span>
<span id="L407" class="LineNr">407 </span>Syntax:
<span id="L408" class="LineNr">408 </span>declare generic_math_$divide_binary entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L409" class="LineNr">409 </span>     bit<span class="textRainbow_lv1_p0">(</span>108<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L410" class="LineNr">410 </span>call generic_math_$divide_binary <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L411" class="LineNr">411 </span>
<span id="L412" class="LineNr">412 </span>
<span id="L413" class="LineNr">413 </span>Arguments:
<span id="L414" class="LineNr">414 </span>num1
<span id="L415" class="LineNr">415 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L416" class="LineNr">416 </span>num2
<span id="L417" class="LineNr">417 </span>   is a generic binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L418" class="LineNr">418 </span>result
<span id="L419" class="LineNr">419 </span>   is the generic binary value that is the result of dividing num1 by
<span id="L420" class="LineNr">420 </span>   num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L421" class="LineNr">421 </span>
<span id="L422" class="LineNr">422 </span>
<span id="L423" class="LineNr">423 </span>:Entry: divide_binary_complex: 1985-02-20 generic_math_$divide_binary_complex
<span id="L424" class="LineNr">424 </span>
<span id="L425" class="LineNr">425 </span>
<span id="L426" class="LineNr">426 </span>Function:  This entrypoint divides two generic complex binary numbers.
<span id="L427" class="LineNr">427 </span>
<span id="L428" class="LineNr">428 </span>
<span id="L429" class="LineNr">429 </span>Syntax:
<span id="L430" class="LineNr">430 </span>declare generic_math_$divide_binary_complex entry<span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L431" class="LineNr">431 </span>     bit<span class="textRainbow_lv1_p0">(</span>252<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L432" class="LineNr">432 </span>call generic_math_$divide_binary_complex <span class="textRainbow_lv0_p0">(</span>num1<span class="textRainbow_lv0_o0">,</span> num2<span class="textRainbow_lv0_o0">,</span> result<span class="textRainbow_lv0_p0">)</span>;
<span id="L433" class="LineNr">433 </span>
<span id="L434" class="LineNr">434 </span>
<span id="L435" class="LineNr">435 </span>Arguments:
<span id="L436" class="LineNr">436 </span>num1
<span id="L437" class="LineNr">437 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L438" class="LineNr">438 </span>num2
<span id="L439" class="LineNr">439 </span>   is a generic complex binary number.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L440" class="LineNr">440 </span>result
<span id="L441" class="LineNr">441 </span>   is the generic complex binary value that is the result of dividing
<span id="L442" class="LineNr">442 </span>   num1 by num2.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L443" class="LineNr">443 </span>
<span id="L444" class="LineNr">444 </span>
<span id="L445" class="LineNr">445 </span>:hcom:
<span id="L446" class="LineNr">446 </span>
<span id="L447" class="LineNr">447 </span>
<span id="L448" class="LineNr">448 </span>
<span id="L449" class="LineNr">449 </span>/****^  HISTORY COMMENTS:
<span id="L450" class="LineNr">450 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-04-24<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-02-22<span class="textRainbow_lv0_o0">,</span>MCR10088<span class="textRainbow_lv0_p0">)</span>,
<span id="L451" class="LineNr">451 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>MR12.6g-0056<span class="textRainbow_lv0_p0">)</span>:
<span id="L452" class="LineNr">452 </span>      A) Fix heading in generic_math_$add_decimal.
<span id="L453" class="LineNr">453 </span>                                                   END HISTORY COMMENTS */
<span id="L454" class="LineNr">454 </span>
<span id="L455" class="LineNr">455 </span>
<span id="L456" class="LineNr">456 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
